// ============================================================
// Marginally Enhanced UT
//   A quick hack for the Player and Bot config windows in case
//   we never release EnhancedUT.
//   Based on EnhancedUT, which is itself based on parts of
//   "Oldskool Amp'd" by UsAaR33.
// ============================================================
// Copyright (c) 2001, 2002 'UsAaR33'.
// Copyright (c) 2002 Simon McVittie.
//
// This software is provided 'as-is', without any express or implied
// warranty.  In no event will the authors be held liable for any damages
// arising from the use of this software.
//
// Permission is granted to anyone to use this software for any purpose,
// including commercial applications, and to alter it and redistribute it
// freely, subject to the following restrictions:
//
// 1. The origin of this software must not be misrepresented; you must not
//    claim that you wrote the original software. If you use this software
//    in a product, an acknowledgment in the product documentation would be
//    appreciated but is not required.
// 2. Altered source versions must be plainly marked as such, and must not be
//    misrepresented as being the original software.
// 3. This notice may not be removed or altered from any source distribution.
// ============================================================

class MarginallyEnhancedUT expands Object;

var int Version, RelDate;
var String VersionString;

var config bool bRespectHasBeatenGame;
var config int PlayerClassLimit;
var config int PlayerVoiceLimit;
var config int PlayerTextureLimit;
var config int BotClassLimit, BotVoiceLimit, BotTextureLimit, BotWeaponLimit;


defaultproperties
{
Version=100
RelDate=20020924
VersionString="100 (29 September 2002)"
// Limits are NOT hard-coded, these are defaults
PlayerClassLimit=1000
PlayerVoiceLimit=1000
PlayerTextureLimit=10000
bRespectHasBeatenGame=false
BotClassLimit=1000
BotVoiceLimit=1000
BotTextureLimit=10000
BotWeaponLimit=1000
}
